ReferenceItem lists
Countries of origin
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- response
[index: integer]?curl -X GET 'https://<your-instance>/api/item-lists/countries-of-origin' \ -H 'Authorization: Bearer <access-token>'[ { "countryLabel": "str", "guid": "string", "id": 0, "isoLabel": "str", "name": "string" }]POST
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- body
countryLabel?|Length
length <= 3guid?stringFormat
guidid?integerFormat
int32isoLabel?|Length
length <= 3name?|Length
length <= 40application/json- response
countryLabel?|Length
length <= 3guid?stringFormat
guidid?integerFormat
int32isoLabel?|Length
length <= 3name?|Length
length <= 40curl -X POST 'https://<your-instance>/api/item-lists/countries-of-origin' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "countryLabel": "str", "guid": "string", "id": 0, "isoLabel": "str", "name": "string"}GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- response
countryLabel?|Length
length <= 3guid?stringFormat
guidid?integerFormat
int32isoLabel?|Length
length <= 3name?|Length
length <= 40curl -X GET 'https://<your-instance>/api/item-lists/countries-of-origin/0' \ -H 'Authorization: Bearer <access-token>'{ "countryLabel": "str", "guid": "string", "id": 0, "isoLabel": "str", "name": "string"}PATCH
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- body
countryLabel?|Length
length <= 3guid?stringFormat
guidid?integerFormat
int32isoLabel?|Length
length <= 3name?|Length
length <= 40application/json- response
countryLabel?|Length
length <= 3guid?stringFormat
guidid?integerFormat
int32isoLabel?|Length
length <= 3name?|Length
length <= 40curl -X PATCH 'https://<your-instance>/api/item-lists/countries-of-origin/0' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "countryLabel": "str", "guid": "string", "id": 0, "isoLabel": "str", "name": "string"}DELETE
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32curl -X DELETE 'https://<your-instance>/api/item-lists/countries-of-origin/0' \ -H 'Authorization: Bearer <access-token>'Empty